summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/reconfigure42
-rw-r--r--tools/testfiles/tcontiguos.ddl2
-rw-r--r--tools/testfiles/tfilters.h5bin46272 -> 46496 bytes
-rw-r--r--tools/testfiles/tscaleoffset.ddl4
4 files changed, 27 insertions, 21 deletions
diff --git a/bin/reconfigure b/bin/reconfigure
index dba5a67..c058a1e 100755
--- a/bin/reconfigure
+++ b/bin/reconfigure
@@ -29,9 +29,9 @@
# HDF5 currently uses the following versions of the autotools:
AUTOCONF_VERSION="autoconf (GNU Autoconf) 2.69"
-AUTOMAKE_VERSION="automake (GNU automake) 1.12.3"
+AUTOMAKE_VERSION="automake (GNU automake) 1.13.4"
AUTOHEADER_VERSION="autoheader (GNU Autoconf) 2.69"
-ACLOCAL_VERSION="aclocal (GNU automake) 1.12.3"
+ACLOCAL_VERSION="aclocal (GNU automake) 1.13.4"
LIBTOOL_VERSION="(GNU libtool) 2.4.2"
M4_VERSION="m4 (GNU M4) 1.4.16"
@@ -42,23 +42,26 @@ M4_VERSION="m4 (GNU M4) 1.4.16"
# If paths to autotools are not specified by the user, assume tools are
# running on jam in /mnt/hdf/packages and set paths accordingly.
+if test -z ${AUTORECONF}; then
+ AUTORECONF=/usr/bin/autoreconf
+fi
if test -z ${AUTOCONF}; then
- AUTOCONF=/mnt/hdf/packages/autoconf/autoconf-2.69/bin/autoconf
+ AUTOCONF=/usr/bin/autoconf
fi
if test -z ${AUTOMAKE}; then
- AUTOMAKE=/mnt/hdf/packages/automake/automake-1.12.3/bin/automake-1.12
+ AUTOMAKE=/usr/bin/automake-1.13
fi
if test -z ${AUTOHEADER}; then
- AUTOHEADER=/mnt/hdf/packages/autoconf/autoconf-2.69/bin/autoheader
+ AUTOHEADER=/usr/bin/autoheader
fi
if test -z ${ACLOCAL}; then
- ACLOCAL=/mnt/hdf/packages/automake/automake-1.12.3/bin/aclocal-1.12
+ ACLOCAL=/usr/bin/aclocal-1.13
fi
if test -z ${LIBTOOL}; then
- LIBTOOL=/mnt/hdf/packages/libtool/libtool-2.4.2/bin/libtool
+ LIBTOOL=/usr/bin/libtool
fi
if test -z ${M4}; then
- M4=/mnt/hdf/packages/m4/m4-1.4.16/bin/m4
+ M4=/usr/bin/m4
fi
# Check version numbers of all autotools against the "correct" versions
@@ -100,17 +103,20 @@ M4_DIR=`dirname ${M4}`
PATH=${AUTOCONF_DIR}:${M4_DIR}:$PATH
# Run autoconf/automake commands in order
- echo ${ACLOCAL} -I ${LIBTOOL_DIR}/../share/aclocal
- ${ACLOCAL} -I ${LIBTOOL_DIR}/../share/aclocal || exit 1
-
- echo ${AUTOHEADER}
- ${AUTOHEADER} || exit 1
-
- echo ${AUTOMAKE} --add-missing
- ${AUTOMAKE} --add-missing || exit 1
+# echo ${ACLOCAL} -I ${LIBTOOL_DIR}/../share/aclocal
+# ${ACLOCAL} -I ${LIBTOOL_DIR}/../share/aclocal || exit 1
+#
+# echo ${AUTOHEADER}
+# ${AUTOHEADER} || exit 1
+#
+# echo ${AUTOMAKE} --add-missing
+# ${AUTOMAKE} --add-missing || exit 1
+#
+# echo ${AUTOCONF}
+# ${AUTOCONF} || exit 1
- echo ${AUTOCONF}
- ${AUTOCONF} || exit 1
+ echo ${AUTORECONF}
+ ${AUTORECONF} || exit 1
# Clean up top-level Makefile.in
# pmake wants an argument to be the first non-comment line it encounters
diff --git a/tools/testfiles/tcontiguos.ddl b/tools/testfiles/tcontiguos.ddl
index bda7ef7..8e0158e 100644
--- a/tools/testfiles/tcontiguos.ddl
+++ b/tools/testfiles/tcontiguos.ddl
@@ -6,7 +6,7 @@ COMMENT "This is a dataset with contiguous storage"
STORAGE_LAYOUT {
CONTIGUOUS
SIZE 800
- OFFSET 4096
+ OFFSET 2472
}
FILTERS {
NONE
diff --git a/tools/testfiles/tfilters.h5 b/tools/testfiles/tfilters.h5
index c28b1b1..7c33e55 100644
--- a/tools/testfiles/tfilters.h5
+++ b/tools/testfiles/tfilters.h5
Binary files differ
diff --git a/tools/testfiles/tscaleoffset.ddl b/tools/testfiles/tscaleoffset.ddl
index f1891da..ba49c70 100644
--- a/tools/testfiles/tscaleoffset.ddl
+++ b/tools/testfiles/tscaleoffset.ddl
@@ -4,10 +4,10 @@ DATASET "scaleoffset" {
DATASPACE SIMPLE { ( 20, 10 ) / ( 20, 10 ) }
STORAGE_LAYOUT {
CHUNKED ( 10, 5 )
- SIZE 152 (5.263:1 COMPRESSION)
+ SIZE 188 (4.255:1 COMPRESSION)
}
FILTERS {
- COMPRESSION SCALEOFFSET { MIN BITS 4 }
+ COMPRESSION SCALEOFFSET { MIN BITS 2 }
}
FILLVALUE {
FILL_TIME H5D_FILL_TIME_IFSET